/*
** Copyright (C) 2003 The Free Software Foundation.
**  
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**  
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**  
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
**  
*/

#ifndef INCLUDED_DIALOGPROJECT_H
#define INCLUDED_DIALOGPROJECT_H

#include <gtk/gtk.h>
#include "configuration.h"


class ProjectDialog
{
public:
  ProjectDialog (const string & projecname);
  virtual ~ProjectDialog ();
  virtual int run();
  string newprojectname;
  virtual bool set_gui ();
  virtual void on_book_add ();
  virtual void on_book_delete ();
  virtual void on_ok ();
  virtual void on_cancel ();
protected:
  GtkWidget *projectdialog;
  GtkWidget *dialog_vbox1;
  GtkWidget *vbox1;
  GtkWidget *label1;
  GtkWidget *nameentry;
  GtkWidget *messagelabel;
  GtkWidget *label3;
  GtkWidget *languagecombo;
  GtkWidget *language_combo_entry;
  GtkWidget *label4;
  GtkWidget *stylesheetcombo;
  GtkWidget *stylesheet_combo_entry;
  GtkWidget *hbox1;
  GtkWidget *addbutton;
  GtkWidget *alignment1;
  GtkWidget *hbox2;
  GtkWidget *image1;
  GtkWidget *label5;
  GtkWidget *deletebutton;
  GtkWidget *alignment2;
  GtkWidget *hbox3;
  GtkWidget *image2;
  GtkWidget *label6;
  GtkWidget *dialog_action_area1;
  GtkWidget *cancelbutton1;
  GtkWidget *okbutton1;
private:
  string currentprojectname;
  virtual void combo_language_fill (const string & displayvalue);
  virtual void combo_stylesheet_fill (const string & displayvalue);
};


#endif
