/*
** Copyright (C) 2003 The Free Software Foundation.
**  
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**  
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**  
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
**  
*/

#ifndef INCLUDED_DIALOGSELECTBOOKS_H
#define INCLUDED_DIALOGSELECTBOOKS_H


#include "configuration.h"
#include <set>
#include <gtk/gtk.h>


typedef enum
{ sbAdd, sbDelete } SelectBookDialogActions;


class SelectBooksDialog
{
public:
  SelectBooksDialog (SelectBookDialogActions action,
                     const vector <string>& selectablebooks,
                     set <string>& selection);
  virtual ~SelectBooksDialog ();
  virtual int run();
  virtual void on_none_clicked ();
  virtual void on_ot_clicked ();
  virtual void on_nt_clicked ();
  virtual void on_all_clicked ();
  virtual void on_ok_clicked ();
  virtual void addselection (const string book);
protected:
  GtkWidget *selectbooksdialog;
  GtkWidget *dialog_vbox1;
  GtkWidget *vbox1;
  GtkWidget *hbox2;
  GtkWidget *hbox3;
  GtkWidget *treeview1;
  GtkWidget *treeview2;
  GtkWidget *treeview3;
  GtkWidget *treeview4;
  GtkWidget *treeview5;
  GtkWidget *treeview6;
  GtkWidget *label5;
  GtkWidget *hbox1;
  GtkWidget *nobutton;
  GtkWidget *otbutton;
  GtkWidget *ntbutton;
  GtkWidget *allbutton;
  GtkWidget *dialog_action_area1;
  GtkWidget *cancelbutton;
  GtkWidget *okbutton;
  set <string> *myselection;
  GtkListStore *store1;
  GtkListStore *store2;
  GtkListStore *store3;
  GtkListStore *store4;
  GtkListStore *store5;
  GtkListStore *store6;
  GtkTreeViewColumn *column1;
  GtkTreeViewColumn *column2;
  GtkTreeViewColumn *column3;
  GtkTreeViewColumn *column4;
  GtkTreeViewColumn *column5;
  GtkTreeViewColumn *column6;
  GtkTreeSelection *select1;
  GtkTreeSelection *select2;
  GtkTreeSelection *select3;
  GtkTreeSelection *select4;
  GtkTreeSelection *select5;
  GtkTreeSelection *select6;
};


#endif
